import { Prisma } from "@prisma/client";
export type NestedReadAction = "include" | "select";
export type NestedAction = Prisma.PrismaAction | NestedReadAction | "connectOrCreate";
export type NestedParams = Omit<Prisma.MiddlewareParams, "action"> & {
    action: NestedAction;
    scope?: NestedParams;
};
export type NestedMiddleware<T = any> = (params: NestedParams, next: (modifiedParams: NestedParams) => Promise<T>) => Promise<T>;
export declare function createNestedMiddleware<T>(middleware: NestedMiddleware): Prisma.Middleware<T>;
